Ubuntu

Activity log for bug #1015131

Date Who What changed Old value New value Message
2012-06-19 13:58:08 Pali bug added bug
2012-06-19 13:58:08 Pali attachment added apt-mirror-https.patch https://bugs.launchpad.net/bugs/1015131/+attachment/3195994/+files/apt-mirror-https.patch
2012-06-19 16:26:13 Ubuntu Foundations Team Bug Bot bug added subscriber Ubuntu Review Team
2012-07-26 23:06:49 Benjamin Drung apt-mirror (Ubuntu): status New Fix Committed
2012-07-26 23:06:52 Benjamin Drung apt-mirror (Ubuntu): importance Undecided Wishlist
2012-07-27 04:28:51 Launchpad Janitor branch linked lp:debian/apt-mirror
2012-07-27 08:07:11 Launchpad Janitor apt-mirror (Ubuntu): status Fix Committed Fix Released
2012-07-27 08:43:32 Launchpad Janitor branch linked lp:ubuntu/apt-mirror
2013-11-19 12:23:09 Pali description New wget version do not automatically send Basic HTTP authentication information (plaintext username and password) for all requests when specified username and password (old version Wget 1.10.2 and prior did it). In new version of wget was introduced param --auth-no-challenge which switch to old wget behaviour (see man 1 wget). Some apt servers (like server for Maemo 5 N900: https://downloads.maemo.nokia.com) needs to always receive Basic HTTP authentication. So I patched apt-mirror to added support for these servers with new version of wget. Patch adds new config variable auth_no_challenge (with 0 or 1) and apt-mirror exec wget with --auth-no-challenge if config is 1. It also add config variable no_check_certificate which disable checking SSL certificate for https (add wget param --no-check-certificate). https support without basic http authentication working in apt-mirror without problem (with or without this patch). New wget version do not automatically send Basic HTTP authentication information (plaintext username and password) for all requests when specified username and password (old version Wget 1.10.2 and prior did it). In new version of wget was introduced param --auth-no-challenge which switch to old wget behaviour (see man 1 wget). Some apt servers (like server for Maemo 5 N900: https://downloads.maemo.nokia.com) needs to always receive Basic HTTP authentication. So I patched apt-mirror to added support for these servers with new version of wget. Patch adds new config variable auth_no_challenge (with 0 or 1) and apt-mirror exec wget with --auth-no-challenge if config is 1. It also add config variable no_check_certificate which disable checking SSL certificate for https (add wget param --no-check-certificate). https support without basic http authentication working in apt-mirror without problem (with or without this patch). [Impact] * apt-mirror in precise refuse to mirror apt repository from https server with certificate not trusted by wget * apt-mirror in precise does not working with http/https servers which needs basic http authentification * new version 0.4.8-6 which is in quantal fixing both problems [Test Case] * try to mirror some apt repository with self signed https certificate or which needs to receive basic http authentification * without patch apt-mirror fail * one example is maemo5 repositories, full config file is on: http://wiki.maemo.org/Apt-mirror#mirror.list_for_Maemo_5_Fremantle [Regression Potential] * patch is simple and does not chaning default values and code, so it should not break anything * it is in debian and quantal for a long time and no problem was reported
2013-11-19 12:23:21 Pali bug added subscriber Ubuntu Bug Control
2013-11-19 15:15:31 Phillip Susi removed subscriber Ubuntu Bug Control
2013-11-19 15:56:55 Benjamin Drung nominated for series Ubuntu Precise
2013-11-19 15:56:55 Benjamin Drung bug task added apt-mirror (Ubuntu Precise)
2013-11-19 16:14:22 Benjamin Drung attachment added apt-mirror_0.4.8-5ubuntu0.2.patch https://bugs.launchpad.net/ubuntu/+source/apt-mirror/+bug/1015131/+attachment/3912715/+files/apt-mirror_0.4.8-5ubuntu0.2.patch
2013-11-19 16:14:50 Benjamin Drung apt-mirror (Ubuntu Precise): status New Fix Committed
2013-11-21 23:05:54 Benjamin Drung attachment added apt-mirror_0.4.8-5ubuntu0.2.debdiff https://bugs.launchpad.net/ubuntu/+source/apt-mirror/+bug/1015131/+attachment/3914565/+files/apt-mirror_0.4.8-5ubuntu0.2.debdiff
2013-11-21 23:14:44 Brian Murray bug added subscriber Ubuntu Stable Release Updates Team
2013-11-21 23:14:49 Brian Murray bug added subscriber SRU Verification
2013-11-21 23:14:51 Brian Murray tags patch patch verification-needed
2013-11-21 23:43:51 Launchpad Janitor branch linked lp:ubuntu/precise-proposed/apt-mirror
2013-11-30 10:30:35 Pali tags patch verification-needed patch verification-done
2013-12-05 18:06:00 Launchpad Janitor apt-mirror (Ubuntu Precise): status Fix Committed Fix Released
2013-12-05 18:06:11 Brian Murray removed subscriber Ubuntu Stable Release Updates Team